﻿Public Class Demo4b

    Dim MyContext As NorthwindDataContext

    Private Sub Demo4_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        MyContext = New NorthwindDataContext()

        'Anzeigen der in der Datenbank enthaltenen Jahreswerte
        ComboBox1.DataSource = (From o In MyContext.Orders _
                               Select o.OrderDate.Value.Year).Distinct()

    End Sub

    Private Sub ComboBox1_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ComboBox1.SelectedIndexChanged

        'Ausgabe der aggregierten Informationen aus dem ausgewählten Jahr

        DataGridView1.DataSource = From od In MyContext.Order_Details _
                                    Where od.Order.OrderDate.Value.Year = CInt(ComboBox1.SelectedValue) _
                                    Select New With _
                                    {.Kunden = od.Order.Customer.CompanyName, _
                                     .Summebestellungen = od.Quantity * od.UnitPrice * (1 - od.Discount) _
                                    }


    End Sub
End Class