﻿Public Class MainForm

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load



    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click


        'Einfache Funktion um innerhalb eines StringArrays Werte zu filtern 
        'bzw. auch zu sortieren


        Dim MyStrings() As String = {"TestDatenA", "TestdatenB", "WeitereTestdatenB"}

        Dim query = From s In MyStrings _
                    Where s.Contains("datenB") _
                    Order By s.Length Descending



        For Each s In query
            Debug.WriteLine(s)
        Next


        
        'oder auch Prozesse zu filtern und zu bearbeiten

        'Starten eines Prozesses
        System.Diagnostics.Process.Start("C:\windows\system32\calc.exe")


        'Enumerieren über Prozesse
        Dim MyRunningProcesses = From p In System.Diagnostics.Process.GetProcesses() _
                                 Where p.ProcessName.Contains("calc") _
                                 Order By p.StartTime Ascending

        For Each p In MyRunningProcesses
            Debug.WriteLine(String.Format("{0}: Prozess wurde gestartet: {1}", p.ProcessName, p.StartTime))
            p.Kill()
        Next




    End Sub

    Private Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button4.Click

        Demo2.ShowDialog()

    End Sub

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click

        Demo3.ShowDialog()

    End Sub

    Private Sub Button8_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button8.Click

        Demo4a.ShowDialog()

    End Sub

    Private Sub Button9_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button9.Click

        Demo4b.ShowDialog()

    End Sub

    Private Sub Button7_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button7.Click

        Demo5.ShowDialog()

    End Sub

    Private Sub Button6_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button6.Click

        Demo6.ShowDialog()

    End Sub
End Class
